
Redmine - Defect #11710

Git: Repository view author/date inconsistency

2012-08-27 01:21 - Olaf Klischat

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

In the git repository view, the "Author" field displayed for each commit is the git author (correct), but the "Date" or "Age" column

displays the committer date (wrong & inconsistent with the author field). Committer and author are different when commits get

rewritten, e.g. during a rebase or a cherry pick. So if Alice commits a patch in a bugfix branch 3 years ago, and then Bob cherry-picks

that patch into the master branch 2 days ago, then, in Git terminology, Alice is the "author" and Bob is the "committer" of that master

commit. However, Redmine displays the commit as "Added by Alice 2 days ago", which is wrong. Redmine should display the author

name and date everywhere. At least that's what all git repository viewers I know (e.g. gitk) do.

Related issues:

Related to Redmine - Defect #5357: Git: SCM revisions ordered by date/time (s... New 2010-04-20

Related to Redmine - Defect #2108: git repository browser uses author time in... Closed 2008-10-29

Has duplicate Redmine - Defect #22864: Associated revisions mix timestamps of... Closed

History

#1 - 2012-08-27 01:39 - Toshi MARUYAMA

- Affected version (unused) deleted (devel)

Yes.

But it is difficult to change database value which already stored on database.

And there is a serious problem for database ordering.

See #5357.

#2 - 2012-08-27 01:43 - Toshi MARUYAMA

- Affected version (unused) set to 0.8.0-RC1

#3 - 2012-08-27 01:44 - Toshi MARUYAMA

#2108 changed commit time to author time.

#4 - 2016-05-20 17:54 - Toshi MARUYAMA

- Has duplicate Defect #22864: Associated revisions mix timestamps of git committer and git author. added
